Discover what SOLIDWORKS users are discussing.
Categories:
Sort:
I have a form with a button that, on the click event, hides the userform and executes this line of code: Model.Extension.SelectByID2 "DetailItem51@Sheet Format1", "NOTE", 0, 0, 0, False, 0, Nothing, 0
SOLIDWORKS Forums
2 hours ago
i'm looking for a way to create a macro (or any other system) that reset alla the field of the property tab that i've create to fill the field of my personalized titole block. This macro will delete all Custom properties including the ones created by property tab. Modify it as needed.
SOLIDWORKS Forums
3 hours ago
I am looking for a macro to delete all custom properties except the current ones we use. Ideally we define the property names that we want to keep and everything not in the list gets deleted. Has anyone made something like this?
SOLIDWORKS Forums
6 hours ago
Custom Properties Propagator We have always made heavy use of the custom properties in Solidworks. All of the parts and assemblies for any given job have custom properties that ripple into the drawings and fill in the title block and several notes.
SOLIDWORKS Forums
6 hours ago
Hey. Tell me how to export the entire assembly of sheet metal in DXF? Or export the part from the sheet metal but first determine the maximum area for if the part was built was not true. Thank.
SOLIDWORKS Forums
6 hours ago
I have been working a larger macro to make life easier for our designers and up until two days ago it was working pretty well. the only thing I can see that changes was a windows office components update was installed by IT. The macro reads the equation manger table and set variables for the three parts of each equation (Index number, name, value). Then i have a form that displays the values and allows users to change them. next I have a button that runs a routine to update changed equations.
SOLIDWORKS Forums
6 hours ago
I have a function which gets the dimension of the bounding box for a sheet metal part. It works fine, or I thought that .... but I have found something quite disturbing. I came across this part which has a bounding box of 673x198 mm. but when I get the dimensions through the function, it gives me 663x196 mm.
SOLIDWORKS Forums
6 hours ago
I have a macro that loops through cut list items and multiplies the body count by the length for that particular cut list item to find the total material length. For the most part, the code works. However, I'm having an issue where the macro is finding a cut list item that is not shown in the feature tree. The locals window shows that for CustomPropResolvedVal the value is ""LENGTH@@@TUBE, SQUARE 4.00 X 4.00 X 0.25 "".
SOLIDWORKS Forums
8 hours ago
I have a few different macros that i can do this with the Model open, I didn't see anything on deleting from Drawing. I have a few different macros that i can do this with the Model open, I didn't see anything on deleting from Drawing.
SOLIDWORKS Forums
9 hours ago
I would like to know about methods to get the component that is highlighted in the picture from the following information: - I have the IModelDoc2/IAssemblyDoc of the assembly (A.SLDASM)
SOLIDWORKS Forums
11 hours ago
Dimensions auto arrange balloons collision Hello. I am making automatic drawings creation of some complex class of frames and I see that SolidWorks has a good dimensions auto arrangement function.
SOLIDWORKS Forums
11 hours ago
I used the "Add and Remove Programs" feature to uninstall Visual Basic from my Windows 7 Ultimate workstation, not realizing that SolidWorks needed it. I've re-installed MS Visual Basic 2010 Express, and noted that a new "C:Program Files (x86)Common Filesmicrosoft sharedVBAVBA6VBE6EXT.OLB" file was created the first time I launched the app, but alas, SolidWorks is still throwing up the same message every time I launch:
SOLIDWORKS Forums
14 hours ago
I want to replace the part files in the assembly by using ReplaceReference method. I wrote the same codes in the macro but I'm getting an run time error. OriginalReference = "old location"
SOLIDWORKS Forums
16 hours ago
I was searching for a API to insert the AnnotationView (their associated Dimensions) in Drawings. I could able to do it manually, but I have tried different API's but none seems to be working to bring the Dimensions from Annotation View in Modelling environment to Drawings Environment. InsertModelAnnotations3 - Couldn't control the View in which the Dimension has to be placed
SOLIDWORKS Forums
20 hours ago
I use this little macro to fill in the title block. I use SolidWorks 2016 and 2017. (two costumer with different versions ) The macro only works with SWX 2017.
SOLIDWORKS Forums
1 day ago
Here again. I am trying to get the bounding box of a sheet metal part through traversing the feature tree. It works fine when the file is visible but it is not when it is not. Any idea how could I solve it?
SOLIDWORKS Forums
1 day ago
In "do Transition" dialog box there is a possibility to notify other user that the document has changed state (e.g. assigned for reviewing to the user). And there is a list of users from which we can choose and based on chosen message system. I'm wondering if there is a PDM API method to get a chosen "user name" value.2019-02-14_14-26-09.jpg
SOLIDWORKS Forums
1 day ago
I have an assembly file which has about 90 different configurations, i need to export each configuration as a seperate STEP file. Is there a macro which can help me, because it will save Set swApp = Application.SldWorks
SOLIDWORKS Forums
1 day ago
I know this is a SolidWorks Forum, but I've seen where a lot of users have #Task. It looks like I've recently lost the ability to drag and drop files into the program and I was wondering if anyone had this issue and may figured out what was going on? Thanks.
SOLIDWORKS Forums
1 day ago
I'm trying to write a macro that will eventually be able to circle user-specified sub-assemblies on a drawing view. I've finished what I thought was the hard part of this process and am now trying to get mathpoints (in the reference frame for a Sketch on an active drawing view) from all vertices on that drawing view. These mathpoints will then be processed to find the convex hull of the 2D "point cloud" and the points on the hull will be scaled about their centroid and used to create a closed
SOLIDWORKS Forums
1 day ago
What I would like to do is select the Sketch1, edit the sketch, select Point2 and move it to a given coordinate. Dim model As ModelDoc2 = app.ActivateDoc3("D:Part1.sldprt", True, 0, 2)
SOLIDWORKS Forums
2 days ago
My macro (see below) boss extrudes all of the regions in a sketch (since hitting ctrl + a doesn't work while selecting regions). It works for sketches with a few (~100) regions. However for sketches with >600 regions (see attached part), it causes SolidWorks to soft-lock. I believe this happens because, during a boss extrude, SolidWorks recalculates the state of everything after each selection.
SOLIDWORKS Forums
2 days ago
I'm pretty new at VBA and I wrote this macro awhile back and now want to improve it slightly. It works great now but there is one caveat. My mirror plane name has to always be the same. I always want to mirror about the "Top plane" even if it's not named that.
SOLIDWORKS Forums
2 days ago
In short - I have some script, which builds a detail (I'm creating new Part and closing it at the end). The script runs from add-in in Taskpane (I specify how many iterations I need). During the script's works, it logs the time spent on actions and total time.
SOLIDWORKS Forums
2 days ago